Subject: [ieee-ietf-coord] update on IETF DetNet

From: Janos Farkas <[email-masked]>
Date: Tue, 16 Feb 2021 20:38:18 +0000

Hi,
Please find below an update on the IETF DetNet WG.
The DetNet WG has made a significant progress. A number of DetNet RFCs have been published or are very close to publication. The WG has been rechartered<https://datatracker.ietf.org/wg/detnet/about/> with the main addition to work on DetNet Controller Plane approaches that reuse existing IETF solutions and identify the WG responsible for any extensions needed to support DetNet.
The WG has published the following RFCs:

  *   RFC 8557<https://datatracker.ietf.org/doc/rfc8557/> Deterministic Networking Problem Statement
  *   RFC 8578<https://datatracker.ietf.org/doc/rfc8578/> Deterministic Networking Use Cases
  *   RFC 8655<https://datatracker.ietf.org/doc/rfc8655/> Deterministic Networking Architecture
  *   RFC 8938<https://datatracker.ietf.org/doc/rfc8938/> Deterministic Networking (DetNet) Data Plane Framework
  *   RFC 8939<https://datatracker.ietf.org/doc/rfc8939/> Deterministic Networking (DetNet) Data Plane: IP
  *   RFC 8964<https://datatracker.ietf.org/doc/rfc8964/> Deterministic Networking (DetNet) Data Plane: MPLS
The following drafts are with the RFC Editor to be published soon:

  *   draft-ietf-detnet-flow-information-model<https://datatracker.ietf.org/doc/draft-ietf-detnet-flow-information-model/> DetNet Flow and Service Information Model
  *   draft-ietf-detnet-ip-over-mpls<https://datatracker.ietf.org/doc/draft-ietf-detnet-ip-over-mpls/> DetNet Data Plane: IP over MPLS
  *   draft-ietf-detnet-mpls-over-udp-ip<https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls-over-udp-ip/> DetNet Data Plane: MPLS over UDP/IP
The following drafts are with the IESG for final review and approval:

  *   draft-ietf-detnet-ip-over-tsn<https://datatracker.ietf.org/doc/draft-ietf-detnet-ip-over-tsn/> DetNet Data Plane: IP over IEEE 802.1 Time Sensitive Networking (TSN)
  *   draft-ietf-detnet-mpls-over-tsn<https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls-over-tsn/> DetNet Data Plane: MPLS over IEEE 802.1 Time-Sensitive Networking (TSN)
  *   draft-ietf-detnet-tsn-vpn-over-mpls<https://datatracker.ietf.org/doc/draft-ietf-detnet-tsn-vpn-over-mpls/> DetNet Data Plane: IEEE 802.1 Time Sensitive Networking over MPLS
The following draft is under IESG evaluation:

  *   draft-ietf-detnet-security<https://datatracker.ietf.org/doc/draft-ietf-detnet-security/> Deterministic Networking (DetNet) Security Considerations
The following draft is at WG Last Call:

  *   draft-ietf-detnet-bounded-latency<https://datatracker.ietf.org/doc/draft-ietf-detnet-bounded-latency/> DetNet Bounded Latency
The WG has the following drafts in progress:

  *   draft-ietf-detnet-yang<https://datatracker.ietf.org/doc/draft-ietf-detnet-yang/> Deterministic Networking (DetNet) Configuration YANG Model (getting close to WG Last Call)
  *   draft-ietf-detnet-mpls-oam<https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls-oam/> Operations, Administration and Maintenance (OAM) for Deterministic Networks (DetNet) with MPLS Data Plane
  *   draft-ietf-detnet-ip-oam<https://datatracker.ietf.org/doc/draft-ietf-detnet-ip-oam/> Operations, Administration and Maintenance (OAM) for Deterministic Networks (DetNet) with IP Data Plane
  *   draft-ietf-detnet-controller-plane-framework<https://datatracker.ietf.org/doc/draft-ietf-detnet-controller-plane-framework/> Deterministic Networking (DetNet) Controller Plane Framework (recently adopted)
See the WG page: https://datatracker.ietf.org/wg/detnet for further information,
You are welcome to participate; join the mailing list<https://mailarchive.ietf.org/arch/browse/detnet/> and meetings<https://datatracker.ietf.org/wg/detnet/meetings/>.
Feel free to contact me with further questions.
Best regards,
János